## Hedgecode ChessHog

### Description

Hedgecode ChessHog is a chess project that includes modules with different functionality, such as:

* own internal format for the presentation of chess games and positions, which makes
  it possible to use this project as API library for various chess Java applications;
* ability to work with various formats of chess games and diagrams (e.g. PGN, FEN),
  including the functionality of generating chess positions in ASCII format,
  as well as Wikipedia format;
* provide full functionality for working with UCI (Universal Chess Interface) protocol,
  which allows both connecting external UCI engines and developing your own
  using API of UCI module with a set of necessary interfaces described in it;
* building chess diagrams in the form of images with a diverse set of chess pieces;
* ability to record chess games and positions in the form of a QR code,
  as well as recognition of this chess QR code.

### Links

Below are links to the project description pages:
- [ENG](https://lib.hedgecode.org/chesshog/)
- [RUS](https://lib.hedgecode.org/chesshog/ru/)

Copyright © 2018–2020 [Hedgecode](https://hedgecode.org/).
